Package org.apache.sysds.runtime.compress.lib

## Class CLALibUnary

- java.lang.Object
- - org.apache.sysds.runtime.compress.lib.CLALibUnary

    public class CLALibUnary
    extends Object

### Constructor Summary

Constructors
`CLALibUnary()`

### Method Summary

All Methods Static Methods Concrete Methods
`static MatrixBlock` `unaryOperations​(CompressedMatrixBlock m, UnaryOperator op, MatrixValue result)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CLALibUnary

    public CLALibUnary()

### Method Detail

#### unaryOperations

    public static MatrixBlock unaryOperations​(CompressedMatrixBlock m,
                                              UnaryOperator op,
                                              MatrixValue result)